Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class SubjectAltPublicKeyInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.SubjectAltPublicKeyInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SubjectAltPublicKeyInfo
extends ASN1Object

X.509 Section 9.8.2.
This public-key certificate extension, when present, shall contain the subject’s alternative public key information subjectAltPublicKeyInfo EXTENSION ::= { SYNTAX SubjectAltPublicKeyInfo IDENTIFIED BY id-ce-subjectAltPublicKeyInfo } SubjectAltPublicKeyInfo ::= SEQUENCE { algorithm AlgorithmIdentifier{{SupportedAlgorithms}}, subjectAltPublicKey BIT STRING } The SubjectAltPublicKeyInfo data type has the following components: the algorithm subcomponent, which shall hold the algorithm that this public key is an instance of the subjectAltPublicKey subcomponent, which shall hold the alternative public key This extension may be flagged as critical or as non-critical.
NOTE – It is recommended that it be flagged as non-critical. Flagging it as critical would require relying parties to understand this extension and the alternative public-key algorithm.

Constructor Summary
`SubjectAltPublicKeyInfo(AlgorithmIdentifier algorithm, ASN1BitString subjectAltPublicKey)`
`SubjectAltPublicKeyInfo(SubjectPublicKeyInfo subjectPublicKeyInfo)`

Method Summary
`static SubjectAltPublicKeyInfo` | `fromExtensions(Extensions extensions)`
`AlgorithmIdentifier` | `getAlgorithm()`
`static SubjectAltPublicKeyInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static SubjectAltPublicKeyInfo` | `getInstance(java.lang.Object obj)`
`ASN1BitString` | `getSubjectAltPublicKey()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectAltPublicKeyInfo

    public SubjectAltPublicKeyInfo(AlgorithmIdentifier algorithm,
                                   ASN1BitString subjectAltPublicKey)

### SubjectAltPublicKeyInfo

    public SubjectAltPublicKeyInfo(SubjectPublicKeyInfo subjectPublicKeyInfo)

Method Detail

### getInstance

    public static SubjectAltPublicKeyInfo getInstance(ASN1TaggedObject obj,
                                                      boolean explicit)

### getInstance

    public static SubjectAltPublicKeyInfo getInstance(java.lang.Object obj)

### fromExtensions

    public static SubjectAltPublicKeyInfo fromExtensions(Extensions extensions)

### getAlgorithm

    public AlgorithmIdentifier getAlgorithm()

### getSubjectAltPublicKey

    public ASN1BitString getSubjectAltPublicKey()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD